Loading...
Searching...
No Matches
Dune::Functions::LocalDerivativeTraits< EntitySet, DerivativeTraits > Struct Template Reference
Functions » Function related utilities

Derivative traits for local functions. More...

`#include <dune/functions/gridfunctions/localderivativetraits.hh>`

## Classes

struct | Traits
struct | Traits< R(LocalDomain)>

## Public Types

using | LocalDomain = typename EntitySet::LocalCoordinate
using | Domain = typename EntitySet::GlobalCoordinate

## Detailed Description

template<class EntitySet, template< class > class DerivativeTraits = DefaultDerivativeTraits>
struct Dune::Functions::LocalDerivativeTraits< EntitySet, DerivativeTraits >

Derivative traits for local functions.

This provides derivative traits to be used by local functions with given EntitySet and global DerivativeTraits.

The reason why this is needed is that local functions return derivatives wrt to global coordinates although the arguments for these derivatives are local coordinates.

## Member Typedef Documentation

## Domain

template<class EntitySet, template< class > class DerivativeTraits = DefaultDerivativeTraits>

using Dune::Functions::LocalDerivativeTraits< EntitySet, DerivativeTraits >::Domain = typename EntitySet::GlobalCoordinate

## LocalDomain

template<class EntitySet, template< class > class DerivativeTraits = DefaultDerivativeTraits>

using Dune::Functions::LocalDerivativeTraits< EntitySet, DerivativeTraits >::LocalDomain = typename EntitySet::LocalCoordinate

The documentation for this struct was generated from the following file:

- localderivativetraits.hh